Bug 445646 - funcd crashes at boot on Fedora 9
funcd crashes at boot on Fedora 9
Product: Fedora
Classification: Fedora
Component: func (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-08 05:42 EDT by Răzvan Sandu
Modified: 2014-01-21 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-05-08 05:42:45 EDT
Description of problem:

On a system  upgraded from F8 to F9, funcd triggers a traceback during booting.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install F8 + all online updates.
2. Install func
3. Enable funcd at startup (via ntsysv).
4. Upgrade F8 to F9 rawhide (via the preupgrade script).
5. Reboot
Actual results:
Funcd generate a traceback when launched.

Expected results:
Funcd should start normally.

Additional info:
Comment 1 Michael DeHaan 2008-05-08 09:19:21 EDT
With no tracebacks and log info included here, there is not much I can do.
Please provide more information.

Comment 2 Răzvan Sandu 2008-05-08 14:06:25 EDT
Please let me know where funcd keeps its logs, if any.

The traceback message is visible only for a very short time during boot, so I
have no mean to copy/paste it in a file.

Comment 3 Bug Zapper 2008-05-14 06:49:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Răzvan Sandu 2008-05-26 15:09:22 EDT

Maybe it's stupid, but:

1. Local certmaster *is* running
2. The error is this:

[root@mexcentral3 ~]# service funcd restart
Stopping func daemon: 
Starting func daemon: /var/run/funcd.pid

[root@mexcentral3 ~]# Traceback (most recent call last):
  File "/usr/bin/funcd", line 10, in <module>
  File "/usr/lib/python2.5/site-packages/func/minion/server.py", line 280, in main
  File "/usr/lib/python2.5/site-packages/certmaster/requester.py", line 22, in
  File "/usr/lib/python2.5/site-packages/certmaster/utils.py", line 174, in
    raise codes.CMException, "Could not locate certmaster at %s" % master_uri
certmaster.codes.CMException: Could not locate certmaster at

Comment 5 Bug Zapper 2009-06-09 20:40:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 14:12:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Michael DeHaan 2009-07-14 14:42:43 EDT
I'm not sure why this was lost in my email queue earlier (mail filters) though it looks like this was a simple problem of not having a machine named "certmaster" addressable.  In which case it could be fixed by configuring a different address.

Other users using Func have not complained so I'm sure everything is fine here.

Note You need to log in before you can comment on or make changes to this bug.